Update goal
curl --request PATCH \
--url https://app.msportal.ai/api/public/v1/goals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priorityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dueDate": "2023-11-07T05:31:56Z",
"progressPercentage": 50,
"quarter": "<string>",
"year": 2050
}
'import requests
url = "https://app.msportal.ai/api/public/v1/goals/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priorityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dueDate": "2023-11-07T05:31:56Z",
"progressPercentage": 50,
"quarter": "<string>",
"year": 2050
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
priorityId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
categoryId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dueDate: '2023-11-07T05:31:56Z',
progressPercentage: 50,
quarter: '<string>',
year: 2050
})
};
fetch('https://app.msportal.ai/api/public/v1/goals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"progressPercentage": 50,
"quarter": "<string>",
"year": 123,
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"priority": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"isCompleted": true,
"dueDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updateText": "<string>",
"progressPercentage": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Goals
Update goal
Update an existing goal. Only provided fields will be updated. Set a field to null to clear it (for optional fields).
PATCH
/
api
/
public
/
v1
/
goals
/
{id}
Update goal
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Goal ID
Body
application/json
Goal title
Required string length:
1 - 200Goal description
Maximum string length:
5000Company ID
Status ID (null to clear)
Priority ID (null to clear)
Category ID (null to clear)
Due date (null to clear)
Progress (0-100)
Required range:
0 <= x <= 100Quarter (null to clear)
Maximum string length:
2Year (null to clear)
Required range:
2000 <= x <= 2100Response
Goal updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I